AsyncHttpConnection (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.client

## Class AsyncHttpConnection

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.client.AbstractHttpConnection
    - - org.eclipse.jetty.client.AsyncHttpConnection

- All Implemented Interfaces:
    Connection, AsyncConnection, Dumpable

      public class AsyncHttpConnection
      extends AbstractHttpConnection
      implements AsyncConnection

  Asynchronous Client HTTP Connection

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.client.AbstractHttpConnection

      `_connectionHeader, _destination, _exchange, _generator, _http11, _parser, _pipeline, _reserved, _status`

    - ### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

      `_endp`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `handle()` Handle the connection.
    `void` | `onInputShutdown()`
    `protected void` | `reset()`
    `boolean` | `send(HttpExchange ex)`

    - ### Methods inherited from class org.eclipse.jetty.client.AbstractHttpConnection

      `cancelIdleTimeout, close, commitRequest, dump, dump, exchangeExpired, getDestination, isIdle, isReserved, isSuspended, onClose, setDestination, setIdleTimeout, setReserved, toDetailString, toString`

    - ### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

      `getEndPoint, getTimeStamp, onIdleExpired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.io.Connection

      `getTimeStamp, isIdle, isSuspended, onClose, onIdleExpired`

- - ### Method Detail

    - #### reset

          protected void reset()
                        throws IOException

      Overrides:
        `reset` in class `AbstractHttpConnection`
      Throws:
        `IOException`

    - #### handle

          public Connection handle()
                            throws IOException

      Description copied from interface: `Connection`
      Handle the connection.
      Specified by:
        `handle` in interface `Connection`
      Specified by:
        `handle` in class `AbstractHttpConnection`
      Returns:
        The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
      Throws:
        `IOException` - if the handling of I/O operations fail

    - #### onInputShutdown

          public void onInputShutdown()
                               throws IOException

      Specified by:
        `onInputShutdown` in interface `AsyncConnection`
      Throws:
        `IOException`

    - #### send

          public boolean send(HttpExchange ex)
                       throws IOException

      Overrides:
        `send` in class `AbstractHttpConnection`
      Throws:
        `IOException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.